#pragma once

#include <QWidget>
#include "ui_GraphViewSettingItem.h"
#include "GraphView.h"

class GraphViewSettingItem : public QWidget
{
	Q_OBJECT

public:
	GraphViewSettingItem(GraphView* view, GraphSeries* series, QWidget *parent = Q_NULLPTR);
	~GraphViewSettingItem();

private:
	Ui::GraphViewSettingItem ui;
	GraphSeries* series;
	GraphView* view;
	void dissableSlidersOnType();
	void setType(int type);
	void setColor();
	void updateGroupBoxTitle();
};
